# CDATASection : Text
Return to: HTML DOM Level 2 index

Represents a CDATA section in a XML/HTML document

## Platform Support

IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | ---
no | 1.0+ | no | no | no

## Constructors

Constructor | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
CDATASection Constructor() : CDATASection Represents a CDATA section in a XML/HTML document | Show Details | no | 1.0+ | no | no | no

### CDATASection() : CDATASection

Represents a CDATA section in a XML/HTML document

Returns

CDATASection |

Visibility
  internal

## Remarks

Creates and represents CDATA sections. CDATA sections escape entire blocks of text, such as XML fragments, source code, or other content that would be interpreted as XML markup. The only content within a CDATA section that is interpreted is the string "`]]>`", which represents the end of a CDATA section.

The DOM specification describes CDATA sections as:

<quote>

CDATA sections may occur anywhere character data may occur; they are used to escape blocks of text containing characters which would otherwise be recognized as markup. CDATA sections begin with the string "<![CDATA[" and end with the string "]]>".

</quote> <note>

While the `Node` object - from which this object inherits - supports the `normalize` method, this will not work on adjacent `CDATASection` nodes.

</note>

## References

CharacterData|Text

## Availability

HTML DOM Level 2|W3C

text_javascript aptana_docs